<?php #lnk/anwesenheiten_einsätze/class.php

class Anwesenheiten_EinsätzeLink extends BaseLink
{
  protected function insert($ids) {
    if ($ids["Anwesenheiten"]==null || $ids["Einsätze"]==null) {
      return 400;
    }
    
    $qry = "INSERT INTO Anwesenheiten_Einsätze (Anwesenheiten, Einsätze) VALUES (?, ?)";
    if ($stmt = $this->db->prepare($qry)) {
      $stmt->bind_param("ii", $ids["Anwesenheiten"], $ids["Einsätze"]);
      $stmt->execute();
      if (1==$stmt->affected_rows) {
        $this->man->AddMessage("Einsatz zu Anwesenheitsliste hinzugefügt!");
        return 201;
      } else {
        return 200;
      }
    } else {
      $this->man->AddMessage("Mysql error: ".$this->db->error);
    }
    return 500; // Should not reach this stage
  }
  
  protected function remove($ids) {
    if ($ids["Anwesenheiten"]==null || $ids["Einsätze"]==null) {
      return 400;
    }
    if (!$this->man->user->HasRight($this->adminRight)) {
      return 403; // You shall not pass!
    }
    
    $qry = "DELETE FROM Anwesenheiten_Einsätze WHERE Anwesenheiten = ? AND Einsätze = ?";
    if ($stmt = $this->db->prepare($qry)) {
      $stmt->bind_param("ii", $ids["Anwesenheiten"], $ids["Einsätze"]);
      $stmt->execute();
      if (1==$stmt->affected_rows) {
        $this->man->AddMessage("Einsatz aus Anwesenheitsliste entfernt!");
        return 200;
      } else {
        return 404;
      }
    } else {
      $this->man->AddMessage("Mysql error: ".$this->db->error);
      return 500;
    }
  }
}
